
#include "xbp.ch"
#include "Appevent.ch"
#include "GRA.ch"
#include "DLL.ch"

#include "ot4xb.ch"


*#define CRLF CHR(13)+CHR(10)
#define LB_DIR          0x018D

#define DDL_READWRITE   0x0000
#define DDL_READONLY    0x0001
#define DDL_HIDDEN      0x0002
#define DDL_SYSTEM      0x0004
#define DDL_DIRECTORY   0x0010
#define DDL_ARCHIVE     0x0020
#define DDL_POSTMSGS    0x2000
#define DDL_DRIVES      0x4000
#define DDL_EXCLUSIVE   0x8000

DLLFUNCTION SendMessageA( hWnd, nMsg, nWparam, nLparam ) USING STDCALL FROM user32.dll


PROCEDURE appsys ; return
// ---------------------------------------------------------------------------

PROCEDURE Main()
LOCAL nEvent, oXbp, mp1, mp2
LOCAL oDlg
LOCAL oComboBox
LOCAL oDa
LOCAL aSize
LOCAL i
LOCAL hWnd
LOCAL iAttr
LOCAL cMask
LOCAL nVersion := 0
local cbi := { 52,0,0,0,0,0,0,0,0,0,0,0,0}
LOCAL aPP := { { XBP_PP_COMPOUNDNAME, "24.Arial"                 },;
               { XBP_PP_BGCLR       , XBPSYSCLR_WINDOW           },;
               { XBP_PP_FGCLR       , XBPSYSCLR_WINDOWTEXT       },;
               { XBP_PP_HILITE_FGCLR, XBPSYSCLR_HILITEFOREGROUND },;
               { XBP_PP_HILITE_BGCLR, XBPSYSCLR_HILITEBACKGROUND } }

   SET DATE GERMAN
   SET CENTURY ON

   oDlg := XbpDialog():New(AppDesktop(),,{0,0}, {533,416},,.F.)
   oDlg:taskList := .T.
   oDlg:title    := "Drive XbpComboBox"
   oDlg:close    := {|p1,p2,oo| PostAppEvent(xbeP_Quit,,,oo) }
   oDlg:resize   := {| aOldSize, aNewSize, oSelf | DlgResize(aOldSize, aNewSize, oSelf) }
   oDlg:Create()
   oDlg:drawingArea:ClipChildren := .T.

   CenterControl(oDlg)

   oDa   := oDlg:drawingArea
   aSize := oDa:Currentsize()

   oComboBox := XbpComboBox():new(oDa ,,{0,0},aSize,aPP)
   //
   // XBPCOMBO_SIMPLE geht dann NICHT
   //
*  oComboBox:type := XBPCOMBO_SIMPLE
*  oComboBox:type := XBPCOMBO_DROPDOWN

   oComboBox:type := XBPCOMBO_DROPDOWNLIST
   oComboBox:create()
   // Auswahl
*   oComboBox:ItemSelected := {|mp1, mp2, oSelf| MsgBox( oSelf:GetItem(oSelf:getdata()[1]) )  }

   //
   // get all Drive
   //
   hWnd  := oComboBox:getHWND()
   iAttr := DDL_DRIVES
   cMask := "C:"
   delegated_eval( {||@user32:GetComboBoxInfo(hWnd,@cbi)} )
   @user32:SendMessageA(cbi[13],LB_DIR, iAttr , cMask )

   oDlg:Show()
   SetAppFocus( oComboBox )
   // Focus auf 1st Item
   oComboBox:setdata({1})

   nEvent := xbe_None
   WHILE nEvent != xbeP_Close
      nEvent := AppEvent ( @mp1, @mp2, @oXbp )
      oXbp:HandleEvent ( nEvent, mp1, mp2 )
      IF nEvent == xbeP_Quit
         QUIT   // AppQuit()
      ENDIF
   ENDDO

   oDlg:destroy()

RETURN

PROCEDURE DlgResize(aOldSize, aNewSize, oSelf)
LOCAL oDraw
LOCAL aDraw
LOCAL aChild

   //
   // alle Childs sind auf der DrawingArea
   //
   oDraw := oSelf:drawingArea
   aDraw := oDraw:CurrentSize()

   //
   // keine Bildschirmausgabe
   //
   oDraw:LockUpdate(.T.)

   //
   // hier nur die Listbox
   //
   aChild := oDraw:Childlist()

   //
   // Grsse setzten
   //
   aChild[1]:setSize(aDraw)

   //
   // Bildschirmausgabe normal
   //
   oDraw:LockUpdate(.F.)
   oDraw:invalidateRect()

RETURN
