
#define APP_ID_BUTTON       4710
#define APP_ID_LISTBOX      4711
#define APP_ID_COMBO        4712
#define APP_ID_DATEPICK     4713
#define APP_ID_LISTVIEW     4714
#define APP_ID_MONTH        4715
#define APP_ID_PROGRESS     4716
#define APP_ID_REBAR        4717
#define APP_ID_STATBAR      4718
#define APP_ID_TABPAGE      4719
#define APP_ID_TOOLBAR      4720
#define APP_ID_TREEVIEW     4721
#define APP_ID_EDIT         4722
#define APP_ID_RTF          4723

/**************************
*
* DXE_BUTTON.CH
*
**************************/

#define xbeMyPB_Base            0x79010000
#define xbeMyPB_DBLCLK          (xbeMyPB_Base + 1)
#define xbeMyPB_ABBRUCH         (xbeMyPB_Base + 2)
#define xbeMyPB_ArrorDown       (xbeMyPB_Base + 3)

/**************************
*
* DXE_CBOX.CH
*
**************************/

#define xbeMyCB_Base            0x79020000
#define xbeMyCB_DBLCLK          (xbeMyCB_Base + 1)
#define xbeMyCB_ABBRUCH         (xbeMyCB_Base + 2)
#define xbeMyCB_measureItem     (xbeMyCB_Base + 3)
#define xbeMyCB_drawItem        (xbeMyCB_Base + 4)

/**************************
*
* DATEPICK.CH
*
**************************/

#define xbeMyDT_Base            0x79030000
#define xbeMyDT_DBLCLK          (xbeMyDT_Base + 1)
#define xbeMyDT_CLOSEUP         (xbeMyDT_Base + 2)
#define xbeMyDT_USER            (xbeMyDT_Base + 3)
#define xbeMyDT_RAUSHIER        (xbeMyDT_Base + 4)
#define xbeMyDT_ABBRUCH         (xbeMyDT_Base + 5)
#define xbeMyDT_TABNEXT         (xbeMyDT_Base + 6)
#define xbeMyDT_TABBACK         (xbeMyDT_Base + 7)

/**************************
*
* DXE_EDIT.CH
*
**************************/

#define xbeMyED_Base            0x79040000
#define xbeMyED_DBLCLK          (xbeMyED_Base + 1)
#define xbeMyED_ABBRUCH         (xbeMyED_Base + 2)
#define xbeMyED_ArrorDown       (xbeMyED_Base + 3)

/**************************
*
* DXE_LBOX.CH
*
**************************/

#define xbeMyLB_Base            0x79050000
#define xbeMyLB_DBLCLK          (xbeMyLB_Base + 1)
#define xbeMyLB_ABBRUCH         (xbeMyLB_Base + 2)
#define xbeMyLB_measureItem     (xbeMyLB_Base + 3)
#define xbeMyLB_drawItem        (xbeMyLB_Base + 4)

/**************************
*
* MONTHCAL.CH
*
**************************/

#define xbeMyMC_Base            0x79060000
#define xbeMyMC_DBLCLK          (xbeMyMC_Base + 1)
#define xbeMyMC_CLOSEUP         (xbeMyMC_Base + 2)
#define xbeMyMC_USER            (xbeMyMC_Base + 3)
#define xbeMyMC_RAUSHIER        (xbeMyMC_Base + 4)
#define xbeMyMC_ABBRUCH         (xbeMyMC_Base + 5)
#define xbeMyMC_TABNEXT         (xbeMyMC_Base + 6)
#define xbeMyMC_TABBACK         (xbeMyMC_Base + 7)
#define xbeMyMC_ENDCAPTURE      (xbeMyMC_Base + 8)
#define xbeMyMC_SELECTDAYS      (xbeMyMC_Base + 9)

/**************************
*
* DXE_RBAR.CH
*
**************************/

#define xbeMyRB_Base            0x79070000
#define xbeMyRB_DBLCLK          (xbeMyRB_Base + 1)
#define xbeMyRB_ABBRUCH         (xbeMyRB_Base + 2)
#define xbeMyRB_CHEVRONPUSHED   (xbeMyRB_Base + 3)
#define xbeMyRB_AUTOSIZE        (xbeMyRB_Base + 4)
#define xbeMyRB_BEGINDRAG       (xbeMyRB_Base + 5)
#define xbeMyRB_ENDDRAG         (xbeMyRB_Base + 6)
#define xbeMyRB_Takeit          (xbeMyRB_Base + 7)
#define xbeMyRB_NCHITTEST       (xbeMyRB_Base + 8)
#define xbeMyRB_CHILDSIZE       (xbeMyRB_Base + 9)
#define xbeMyRB_SPLITTERDRAG    (xbeMyRB_Base +10)
#define xbeMyRB_AUTOBREAK       (xbeMyRB_Base +11)

/**************************
*
* DXE_RTF.CH
*
**************************/

#define xbeMyRTF_Base           0x79080000
#define xbeMyRTF_DBLCLK          (xbeMyRTF_Base + 1)
#define xbeMyRTF_ABBRUCH         (xbeMyRTF_Base + 2)
#define xbeMyRTF_ArrorDown       (xbeMyRTF_Base + 3)


/**************************
*
* TABCTL.CH
*
**************************/

#define xbeMyTC_Base            0x79090000
#define xbeMyTC_DBLCLK          (xbeMyTC_Base + 1)
#define xbeMyTC_PRECLK          (xbeMyTC_Base + 2)
#define xbeMyTC_USER            (xbeMyTC_Base + 3)
#define xbeMyTC_RAUSHIER        (xbeMyTC_Base + 4)
#define xbeMyTC_ABBRUCH         (xbeMyTC_Base + 5)
#define xbeMyTC_TABNEXT         (xbeMyTC_Base + 6)
#define xbeMyTC_TABBACK         (xbeMyTC_Base + 7)


/**************************
*
* DXE_TBAR.CH
*
**************************/

#define xbeMyTB_Base            0x79100000
#define xbeMyTB_DBLCLK          (xbeMyTB_Base + 1)
#define xbeMyTB_ABBRUCH         (xbeMyTB_Base + 2)
#define xbeMyTBN_GETDISPINFO    (xbeMyTB_Base + 3)
#define xbeMyTBN_GETINFOTIP     (xbeMyTB_Base + 4)
#define xbeMyTBN_DROPDOWN       (xbeMyTB_Base + 5)
#define xbeMyTB_RCLICK          (xbeMyTB_Base + 6)
#define xbeMyTakeit             (xbeMyTB_Base + 7)

/**************************
*
* DXE_TREE.CH
*
**************************/

#define xbeTREE_Base            0x79110000
#define xbeTREE_CLICK           (xbeTREE_Base + 1)
#define xbeTREE_DBLCLK          (xbeTREE_Base + 2)
#define xbeTREE_ENTER           (xbeTREE_Base + 3)
#define xbeTREE_ABBRUCH         (xbeTREE_Base + 4)
#define xbeTREE_KEYDOWN         (xbeTREE_Base + 5)
#define xbeTREE_GETDISPINFO     (xbeTREE_Base + 6)
#define xbeTREE_ITEMEXPANDED    (xbeTREE_Base + 7)
#define xbeTREE_DELETEITEM      (xbeTREE_Base + 8)
#define xbeTREE_SINGLEEXPAND    (xbeTREE_Base + 9)
#define xbeTREE_RDOWN           (xbeTREE_Base + 10)


/**************************
*
* DXE_SBAR.CH
*
**************************/

#define xbeMySB_Base            0x79120000
#define xbeMySB_CLICK           (xbeMySB_Base + 1)
#define xbeMySB_DBLCLK          (xbeMySB_Base + 2)
#define xbeMySB_RCLICK          (xbeMySB_Base + 3)
#define xbeMySB_RDBLCLK         (xbeMySB_Base + 4)
#define xbeMySB_SMCHANGE        (xbeMySB_Base + 5)
#define xbeMySB_ABBRUCH         (xbeMySB_Base + 6)

/**************************
*
* Tooltip
*
**************************/

#define xbeMyTN_Base            0x79130000
#define xbeMyTTN_GETDISPINFO    (xbeMyTN_Base + 1)


*
* eof
*