#include "Gra.ch"
#include "Xbp.ch"
#include "Common.ch"
#include "Appevent.ch"
#include "Font.ch"
#include "inkey.ch"

PROCEDURE appsys ; return
// ---------------------------------------------------------------------------

PROCEDURE Main()
LOCAL nEvent, oXbp, mp1, mp2
LOCAL oDlg


   SET DATE GERMAN
   SET CENTURY ON
   SET ALTER TO LOGFILE.TXT

   //
   oDlg := NewForm():New(AppDesktop(),,{0,0}, {533,296},,.F.)
   oDlg:taskList := .T.
   oDlg:title    := "native Button"
   oDlg:close    := {|p1,p2,oo| PostAppEvent(xbeP_Quit,,,oo) }
   oDlg:drawingArea:resize := {| aOldSize, aNewSize, oSelf | MyResize(aOldSize,aNewSize,oSelf)  }
   oDlg:Create()

   oDlg:drawingArea:ClipChildren := .T.

   CreateButton(oDlg)

   CenterControl(oDlg)

   oDlg:Show()
*   SetAppFocus( oDlg:drawingArea:Childlist()[1] )

   SetAppFocus( oDlg:PB_GetData )

   nEvent := xbe_None
   WHILE nEvent != xbeP_Close
      nEvent := AppEvent ( @mp1, @mp2, @oXbp )
      DO CASE
         CASE nEvent == xbeP_Quit
            QUIT   // AppQuit()

         CASE nEvent == xbeP_Keyboard .AND. mp1 = xbeK_ESC
            PostAppEvent( xbeP_Close ,,, oDlg )

*        CASE nEvent == xbeP_Keyboard .AND. mp1 = xbeK_TAB

      OTHERWISE
      oXbp:HandleEvent ( nEvent, mp1, mp2 )
      ENDCASE
   ENDDO

   oDlg:destroy()
   SET ALTER TO

RETURN

CLASS NewForm FROM _NewForm
   EXPORTED:
      METHOD init
      METHOD create

      METHOD Soho()
ENDCLASS

METHOD NewForm:init( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::_NewForm:init( oParent, oOwner, aPos, aSize, aPP, lVisible )

RETURN self

METHOD NewForm:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::PB_GetData:activate := {|| ::Soho() }

   ::_NewForm:create( oParent, oOwner, aPos, aSize, aPP, lVisible )
   ::show()

RETURN self

METHOD NewForm:Soho()
LOCAL i,iMax
LOCAL xValue
LOCAL cText := ""

   iMax := LEN(::editControls)
   FOR i := 1 TO iMax
      xValue := ""
      xValue := ::editControls[i]:getdata()
      cText  += Var2Char(xValue)+CHR(13)+CHR(10)
   NEXT
   msgbox(cText)

RETURN self

CLASS _NewForm FROM XbpDialog
   EXPORTED:
      VAR editControls

      * Enthaltene Kontrollelemente
      VAR PB_GetData

      METHOD init
      METHOD create
ENDCLASS

METHOD _NewForm:init( oParent, oOwner, aPos, aSize, aPP, lVisible )


   DEFAULT oParent  TO AppDesktop(), ;
           aPos     TO {247,199}, ;
           lVisible TO .F.

   DEFAULT aPP TO {}
   AAdd ( aPP, { XBP_PP_COMPOUNDNAME, "8.Arial" } )

   IF Empty(aSize) == .T.
      IF IsMemberVar(self,"ClientSize") == .T.
         aSize := {0,0}
      ELSE
         aSize := {533,296}
      ENDIF
   ENDIF

   ::XbpDialog:init( oParent, oOwner, aPos, aSize, aPP, lVisible )
   IF aSize[1] == 0 .AND. aSize[2] == 0
      ::XbpDialog:ClientSize := {525,262}
   ENDIF
   ::XbpDialog:taskList := .T.
   ::XbpDialog:title := "Neues Formular"

   ::editControls := {}

   ::PB_GetData := XbpPushButton():new( ::drawingArea, , {0,0}, {525,22}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::PB_GetData:caption := "GetData()"
   ::PB_GetData:tabStop := .T.
*  ::PB_GetData:activate := {|| PostAppEvent( xbeP_Close ) }

RETURN self

METHOD _NewForm:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::XbpDialog:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::PB_GetData:create()

RETURN self

//EOF
/////