
#include "xbp.ch"
#include "Appevent.ch"
#include "common.ch"
#include "inkey.ch"

PROCEDURE appsys ; return
// ---------------------------------------------------------------------------

PROCEDURE Main()
LOCAL nEvent, oXbp, mp1, mp2
LOCAL oDlg
LOCAL nVersion := 0

   SET DATE GERMAN
   SET CENTURY ON
   //
   // use Logfile
   //
   SET ALTER TO LOGFILE.TXT
   //
   //
   //
   IF PCOUNT() > 0
      nVersion := VAL( PValue(1) )
   ENDIF
   //
   oDlg := NewForm():New(AppDesktop(),,{0,0}, {533,416},,.F.)
   oDlg:taskList := .T.
   oDlg:title    := "native ListBox"
   oDlg:icon     := 1
   oDlg:close    := {|p1,p2,oo| PostAppEvent(xbeP_Quit,,,oo) }
   oDlg:drawingArea:resize := {| aOldSize, aNewSize, oSelf | MyResize(aOldSize,aNewSize,oSelf)  }
   oDlg:Create()

   oDlg:drawingArea:ClipChildren := .T.

   CenterControl(oDlg)
   oDlg:Show()

   CreateListBox(oDlg,nVersion)

   SetAppFocus( oDlg )
   SetAppFocus( oDlg:drawingArea:Childlist()[1] )

   nEvent := xbe_None
   WHILE nEvent != xbeP_Close
      nEvent := AppEvent ( @mp1, @mp2, @oXbp )
      oXbp:HandleEvent ( nEvent, mp1, mp2 )
      IF nEvent == xbeP_Quit
         QUIT   // AppQuit()
      ENDIF
   ENDDO

   oDlg:destroy()
   SET ALTER TO

RETURN

CLASS NewForm FROM _NewForm
   EXPORTED:
      METHOD init
      METHOD create
ENDCLASS

METHOD NewForm:init( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::_NewForm:init( oParent, oOwner, aPos, aSize, aPP, lVisible )

RETURN self

METHOD NewForm:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::_NewForm:create( oParent, oOwner, aPos, aSize, aPP, lVisible )
   ::show()

RETURN self

* Programmcode fr die Implementierungsebene der Klasse einfgen
*#include "_FORM.PRG"

//EOF
/////