#include "Appevent.ch"
#include "Xbp.ch"
#include "Dbstruct.ch"                           // fr diese Demo

#define CRLF                     CHR(13)+CHR(10)

PROCEDURE Appsys
RETURN

PROCEDURE Main
LOCAL nEvent, mp1, mp2, oXbp
LOCAL oDlg
LOCAL oListBox, aStruct

LOCAL oDXElist
LOCAL aTitle   := {}
LOCAL aColWide := {}
LOCAL aSource  := {}

   oDlg         := XbpDialog():new(AppDesktop() ,, {0,0}, {600,300} )
   oDlg:title   := "ListView vs. ListBox"
   oDlg:titlebar := .T.
   oDlg:tasklist := .T.
   oDlg:icon      := 1
   oDlg:create()

   CenterControl(oDlg)

   oDlg:show()

   USE timework.dbf NEW
   aStruct := DbStruct()
   CLOSE timework

   AEval( aStruct, {|a| AADD(aTitle  , a[DBS_NAME] ) } )
   AEval( aStruct, {|a| AADD(aColWide, a[DBS_LEN]  ) } )


// Listbox mit mehrfacher Auswahlmglichkeit erzeugen
   oListBox := XbpListbox():new()
   oListBox:markMode := XBPLISTBOX_MM_MULTIPLE
   oListBox:create(oDlg:drawingArea ,, {325, 100}, {200, 150} )
// Auswahl
   oListBox:ItemSelected := {|mp1, mp2, obj| ;
       MSGBOX( "Fields:"+ VAR2CHAR( ArrayFromListBox( obj ))) }


   oDXElist := DXE_ListView():new(oDlg:drawingArea  ,, {75, 100}, {200, 150})
   oDXElist:markMode := XBPLISTBOX_MM_MULTIPLE
   oDXElist:create()
// Auswahl
   oDXElist:OnItemActivate := {|n,st| DoIt(oDXElist)  }

   oDXElist:lFullRowSelect := .T.
   aColWide := {180}
   //
   // Columne anlegen
   //
   oDXElist:CreateTheListView({""}   ,;  // hier kein aTitle
                              aColWide)  // hier nur 1 Element

   //
   // hier kein Header
   //
   oDXElist:ApplyHeaderColumne(.F.)

// Feldnamen aus dem DbStruct()-Array in Listbox bertragen
   ArrayToListBox( oListBox, aStruct,oDXElist )

#IFDEF USEQUICK
   AEval( aStruct, {|a| AADD(aSource ,{a[DBS_NAME],0,"","","","","","","",""} ) } )
*                               AADD(::aSource,{"",0,"","","","","","","",""} )


   oDXElist:aSource := aSource
#ENDIF

   oDXElist:PopulateTheListView("STAY")
   oDXElist:show()

   setAppFocus(oDXElist)

   nEvent := 0
   DO WHILE nEvent <> xbeP_Close
      nEvent := AppEvent( @mp1, @mp2, @oXbp)
      oXbp:HandleEvent( nEvent, mp1, mp2 )
   ENDDO

RETURN

// Array in Listbox bertragen
FUNCTION ArrayToListBox( oListBox, aArray,oDXElist )
   LOCAL i:=0, imax := Len(aArray)

   IF Valtype( aArray[1] ) == "A"    // 2-dim Array
      DO WHILE ++i <= imax           // Erste Spalte bertragen
         oListBox:addItem( aArray[i,1] )
         #IFDEF USEADDITEM
            oDXElist:addItem( aArray[i,1] )
         #ENDIF
      ENDDO
   ELSE                              // 1-dim Array
      DO WHILE ++i <= imax           // Arrayelemente bertragen
         oListBox:addItem( aArray[i] )
         #IFDEF USEADDITEM
            oDXElist:addItem( aArray[i] )
         #ENDIF
      ENDDO
   ENDIF

RETURN oListBox

// Markierte Eintrge aus einer Listbox in ein Array bertragen
FUNCTION ArrayFromListBox( oListBox )
   LOCAL aArray := oListBox:getData() // Numerische Indizes
   LOCAL i := 0, imax := Len(aArray)

   DO WHILE ++i <= imax               // Eintrge lesen
      aArray[i] := oListBox:getItem( aArray[i] )
   ENDDO

RETURN aArray


// Markierte Eintrge aus einem ListView
PROCEDURE DoIt(oDXElist)
LOCAL aArray  := oDXElist:getData()
LOCAL nLen    := LEN(aArray)
LOCAL cText   := ""
LOCAL i


   IF .NOT. EMPTY(aArray)
      FOR i := 1 TO nLen
         cText += oDXElist:getItem(aArray[i])+CRLF
      NEXT

      Msgbox(cText)
   ENDIF
RETURN

*
* eof
*