
#include "xbp.ch"
#include "Appevent.ch"
#include "common.ch"
#include "inkey.ch"

PROCEDURE appsys ; return
// ---------------------------------------------------------------------------

PROCEDURE Main()
LOCAL nEvent, oXbp, mp1, mp2
LOCAL oDlg
LOCAL oCbox    := NIL
LOCAL nVersion := 0

   SET DATE GERMAN
   SET CENTURY ON
   //
   // use Logfile
   //
   SET ALTER TO LOGFILE.TXT
   //
   //
   //
   IF PCOUNT() > 0
      nVersion := VAL( PValue(1) )
   ENDIF
   //
   oDlg := NewForm():New(AppDesktop(),,{0,0}, {533,416},,.F.)
   oDlg:taskList := .T.
   oDlg:title    := "native ComboBox"
   oDlg:close    := {|p1,p2,oo| PostAppEvent(xbeP_Quit,,,oo) }
   oDlg:drawingArea:resize := {| aOldSize, aNewSize, oSelf | MyResize(aOldSize,aNewSize,oSelf,oCbox)  }
   oDlg:Create()

   oDlg:drawingArea:ClipChildren := .T.

   CenterControl(oDlg)
   oDlg:Show()

   CreateComboBox(oDlg,@oCbox,nVersion)

   SetAppFocus( oDlg )
   IF NIL <> oCbox
      SetAppFocus( oCbox )
   ENDIF

   nEvent := xbe_None
   WHILE nEvent != xbeP_Close
      nEvent := AppEvent ( @mp1, @mp2, @oXbp )
      oXbp:HandleEvent ( nEvent, mp1, mp2 )
      IF nEvent == xbeP_Quit
         QUIT   // AppQuit()
      ENDIF
   ENDDO

   IF NIL <> oCbox
      oCbox:destroy()
   ENDIF
   oDlg:destroy()
   SET ALTER TO

RETURN

CLASS NewForm FROM _NewForm
   EXPORTED:
      METHOD init
      METHOD create
ENDCLASS

METHOD NewForm:init( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::_NewForm:init( oParent, oOwner, aPos, aSize, aPP, lVisible )

RETURN self

METHOD NewForm:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::_NewForm:create( oParent, oOwner, aPos, aSize, aPP, lVisible )
   ::show()

RETURN self

* Programmcode fr die Implementierungsebene der Klasse einfgen
*#include "_FORM.PRG"


CLASS _NewForm FROM XbpDialog
   EXPORTED:
      VAR editControls

      * Enthaltene Kontrollelemente
      VAR ButtonCancel

      METHOD init
      METHOD create
ENDCLASS

******************************************************************************
* Formular initialisieren
******************************************************************************
METHOD _NewForm:init( oParent, oOwner, aPos, aSize, aPP, lVisible )


   DEFAULT oParent  TO AppDesktop(), ;
           aPos     TO {247,199}, ;
           lVisible TO .F.

   DEFAULT aPP TO {}
   AAdd ( aPP, { XBP_PP_COMPOUNDNAME, "8.Arial" } )

   IF Empty(aSize) == .T.
      IF IsMemberVar(self,"ClientSize") == .T.
         aSize := {0,0}
      ELSE
         aSize := {533,296}
      ENDIF
   ENDIF

   ::XbpDialog:init( oParent, oOwner, aPos, aSize, aPP, lVisible )
   IF aSize[1] == 0 .AND. aSize[2] == 0
      ::XbpDialog:ClientSize := {525,262}
   ENDIF
   ::XbpDialog:taskList := .T.
   ::XbpDialog:title := "Neues Formular"

   ::editControls := {}

   ::ButtonCancel := XbpPushButton():new( ::drawingArea, , {10,2}, {488,32}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::ButtonCancel:caption := "Exit"
   ::ButtonCancel:tabStop := .T.
   ::ButtonCancel:activate := {|| PostAppEvent( xbeP_Close ) }

RETURN self


******************************************************************************
* Systemresourcen anfordern
******************************************************************************
METHOD _NewForm:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::XbpDialog:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::ButtonCancel:create()


RETURN self

//EOF
/////