#include "xbp.ch"
#include "gra.ch"

#include "DXE_CBOX.CH"

PROCEDURE CreateComboBox(oDlg,oCbox,nVersion)
LOCAL iMax   := 100
LOCAL i
LOCAL oDa,aPos
LOCAL aTmp
LOCAL aSize := {0,0}
LOCAL cHex
LOCAL oComboBox
LOCAL aArray := {}
LOCAL nDiff  := 10
LOCAL aPP := { { XBP_PP_COMPOUNDNAME, "24.Arial"                 },;
               { XBP_PP_BGCLR       , XBPSYSCLR_WINDOW           },;
               { XBP_PP_FGCLR       , XBPSYSCLR_WINDOWTEXT       },;
               { XBP_PP_HILITE_FGCLR, XBPSYSCLR_HILITEFOREGROUND },;
               { XBP_PP_HILITE_BGCLR, XBPSYSCLR_HILITEBACKGROUND } }

   oDa   := oDlg:drawingArea
   aTmp  := oDa:Currentsize()

   aPos  := {((aTmp[1] -40)/2) +20 ,ButtonHigh}
   aSize[1] := (aTmp[1] -40)/2
   aSize[2] := aTmp[2] - ButtonHigh-nDiff                // in DXE_CBOX.CH

#IFDEF ALSO

   //
   // native ComboBox
   //
   oCbox := DXE_ComboBox():New(oDa,,aPos,aSize,aPP,.F.)

   DO CASE
      //
      //  normal draw
      //
      CASE nVersion = 0



      //
      // use "internal" Method My_MeasureItem / My_drawItem
      //

      //
      // "NONE"
      //
      CASE nVersion = 1
         oCbox:lDropdown := "NONE"
         oCbox:drawMode  := XBP_DRAW_OWNER

      CASE nVersion = 2
         oCbox:lDropdown := "NONE"
         oCbox:drawMode  := XBP_DRAW_OWNERADVANCED

      //
      // "DROPDOWN"
      //
      CASE nVersion = 3
         oCbox:lDropdown := "DROPDOWN"
         oCbox:drawMode  := XBP_DRAW_OWNER

      CASE nVersion = 4
         oCbox:lDropdown := "DROPDOWN"
         oCbox:drawMode  := XBP_DRAW_OWNERADVANCED

         //
         // "DROPLIST"
         //
      CASE nVersion = 5
         oCbox:lDropdown := "DROPLIST"
         oCbox:drawMode  := XBP_DRAW_OWNER

      CASE nVersion = 6
         oCbox:lDropdown := "DROPLIST"
         oCbox:drawMode  := XBP_DRAW_OWNERADVANCED

      //
      // use Codeblock
      //
      CASE nVersion = 7
         oCbox:lDropdown := "DROPDOWN"
         oCbox:drawMode  := XBP_DRAW_OWNER
         oCbox:MeasureItem := {| nItem, aDims, oSelf | P_MeasureItem(nItem, aDims, oSelf)  }
         oCbox:drawItem    := {| oPS  , aInfo, oSelf | P_drawItem   (oPS  , aInfo, oSelf)  }

      CASE nVersion = 8
         oCbox:lDropdown := "DROPDOWN"
         oCbox:drawMode  := XBP_DRAW_OWNERADVANCED
         oCbox:MeasureItem := {| nItem, aDims, oSelf | P_MeasureItem(nItem, aDims, oSelf)  }
         oCbox:drawItem    := {| oPS  , aInfo, oSelf | P_drawItem   (oPS  , aInfo, oSelf)  }


      CASE nVersion = 9
         oCbox:lDropdown := "DROPLIST"
         oCbox:drawMode  := XBP_DRAW_OWNERADVANCED
         oCbox:MeasureItem := {| nItem, aDims, oSelf | P_MeasureItem(nItem, aDims, oSelf)  }
         oCbox:drawItem    := {| oPS  , aInfo, oSelf | P_drawItem   (oPS  , aInfo, oSelf)  }


   ENDCASE
   oCbox:create()

   //
   // DblClick on Panel
   //
   oCbox:OnItemDblClick  := {|mp1, mp2, oSelf| GetXbaseText(oCbox)  }

#ENDIF

   //
   // do NOT fill 2x ComboBox this Way !!! PDR
   //
*   FillBoth(oComboBox,oCbox)

*   oComboBox:show()
*   TestHwnd(oComboBox:GetHWnd() ,"oComboBox","COMBO")


#IFDEF ALSO
   oCbox:show()
*   TestHwnd(oCbox:hCbox,"oCbox","COMBO")


   oCbox:nIconSize    := 32
   oCbox:InitImageList()
   oCbox:Startdir("C:\","DRIVE",oCbox:hXbp)
*   oCbox:Startdir("C:\","DIR",oCbox:hXbp)

#ENDIF


   //
   // clear and add hole Array
   //
*   aArray :=  oCbox:_GetBigArray()
*   oCbox:Clear()
*   oCbox:_AddBigArray(aArray)

RETURN

PROCEDURE MyResize(aOldSize, aNewSize, oSelf)
LOCAL aChild := {}
LOCAL i,iMax
LOCAL nDiff  := 10

   IF aOldSize[1] == 0 .AND. aOldSize[2] == 0               // was minimize
      aOldSize := aNewSize                                  // New Size

   ELSEIF aNewSize[1] == 0 .OR. aNewSize[2] == 0            // is now minimized
      RETURN

   ELSEIF aNewSize[1] == aOldSize[1] .AND. aNewSize[2] == aOldSize[2]
      RETURN
   ENDIF                                                    // same Size

   oSelf:lockUpdate(.T.)

   aChild := oSelf:Childlist()
   iMax   := LEN(aChild )

   FOR i := 1 TO iMax
      DO CASE
         CASE aChild[i]:isDerivedFrom("XbpPushbutton")
            aChild[i]:setSize( {aNewSize[1]-45,32} )

         CASE aChild[i]:isDerivedFrom("XbpComboBox")
            aChild[i]:setSize( {(aNewSize[1]-40)/2,aNewSize[2]-ButtonHigh-nDiff} )

         CASE aChild[i]:isDerivedFrom("DXE_ComboBox")
            aChild[i]:setPos( {((aNewSize[1]-40)/2) +20, ButtonHigh} )
            aChild[i]:setSize( {(aNewSize[1]-40)/2,aNewSize[2]-ButtonHigh-nDiff} )

      ENDCASE
   NEXT

   oSelf:lockUpdate(.F.)
   oSelf:invalidateRect()

RETURN

FUNCTION GetXbaseText(oSelf)
LOCAL aItem := oSelf:GetData()
LOCAL cItem := ""
LOCAL i,iMax
LOCAL cText := ""

   iMax := LEN(aItem)

ALTD()

   IF iMax > 1
      FOR i := 1 TO iMax -1
         cItem := oSelf:GetItem( aItem[i] )
         cText += cItem +CRLF
      NEXT
      cText += oSelf:GetItem( aItem[iMax] )
   ELSE
      IF !EMPTY(aItem)
          cText := oSelf:GetItem( aItem[1] )
      ENDIF
   ENDIF
   msgbox(cText)

RETURN cText

PROCEDURE FillBoth(oComboBox,oCbox)
LOCAL iMax   := 100
LOCAL i
LOCAL nStart := 0
LOCAL nDiff1 := 0
LOCAL nDiff2 := 0
LOCAL nVis1  := 0
LOCAL nVis2  := 0

   nStart := SECONDS()
   FOR i := 1 TO iMax
      oComboBox:additem(LTRIM(STR(i)))
   NEXT
   nDiff1 := SECONDS() - nStart

#IFDEF ALSO
   i := 1
   nStart := SECONDS()
   FOR i := 1 TO iMax
      oCbox:additem(LTRIM(STR(i)))
   NEXT
   nDiff2 := SECONDS() - nStart
#ENDIF

*   MSGBOX("Xbase++ ComboBox :"+STR(nDiff1)+CRLF+;
*          "native  ComboBox :"+STR(nDiff2) )

RETURN

PROCEDURE P_MeasureItem(nItem, aDims, oSelf)
//
// nItem -> Zero-based index of the list box item
// aDims -> { itemWidth, itemHeight }
//
// Note : itemWidth give strange Result ?
//
//
LOCAL cCaption
LOCAL aBox
LOCAL oPS

   //
   // get Item (Text)
   //
   cCaption := oSelf:GetItem( nItem )

   //
   // GraQueryTextBox() Dimension
   //
   oPS      := oSelf:LockPS()
   GraSetFont( oPS, oSelf:oFont )
   aBox     := GraQueryTextBox( oPS, cCaption )

   //
   // wide of Item (Text)
   //
   aDims[1] := aBox[3][1] - aBox[1][1]
   //
   // heigh of Item (Text)
   //
   aDims[2] := oSelf:GetItemsHeight( nItem )

   IF oSelf:drawMode <> XBP_DRAW_NORMAL
      //
      // need to calculate from aBox
      //
      aDims[2] := aBox[1][2] - aBox[2][2]
   ENDIF

   IF oSelf:drawMode = XBP_DRAW_OWNERADVANCED
      //
      // just playing
      //
      IF ( nItem % 2) <> 0
         aDims[2] := aDims[2] * 2
      ENDIF
   ENDIF

   oSelf:UnlockPS()

   onDummy("P_MeasureItem EOF",TIME(),nItem, cCaption,aDims)

RETURN

PROCEDURE P_drawItem(oPS, aInfo, oSelf)
LOCAL aAAttrs  := Array( GRA_AA_COUNT )
LOCAL aSAttrs  := Array( GRA_AS_COUNT )
LOCAL aPrev
LOCAL cText
LOCAL nHDC    := 0
LOCAL nXDest   := aInfo[XBP_DRAWINFO_RECT][1]
LOCAL nYDest   := aInfo[XBP_DRAWINFO_RECT][2]
LOCAL nWidth   := aInfo[XBP_DRAWINFO_RECT][3]
LOCAL nHeight  := aInfo[XBP_DRAWINFO_RECT][4]
LOCAL cFile


   onDummy("[DRAWINFO_RECT]  ",TIME(),aInfo[XBP_DRAWINFO_RECT] )

   GraSetFont( oPS, oSelf:oFont )

   //
   // Note : second Parameter aInfo[XBP_DRAWINFO_HWND]
   //
   cText := oSelf:GetItem(aInfo[1],aInfo[XBP_DRAWINFO_HWND])

   IF BAND(aInfo[3],XBP_DRAWSTATE_SELECTED) != 0
      aAAttrs[GRA_AA_COLOR] := XBPSYSCLR_HILITEBACKGROUND
   ELSE
      aAAttrs[GRA_AA_COLOR] := XBPSYSCLR_WINDOW
   ENDIF

   nWidth   := nWidth  - nXDest
   nHeight  := nHeight - nYDest
   nXDest   := 0
   nYDest   := 0

   GraSetAttrArea( oPS, aAAttrs )
   GraBox( oPS, {nXDest,nYDest}, {nWidth,nHeight}, GRA_FILL )

   aSAttrs[GRA_AS_COLOR]     := GRA_CLR_PINK
   aSAttrs[GRA_AS_VERTALIGN] := GRA_VALIGN_HALF
   aPrev                     := GraSetAttrString( oPS, aSAttrs )

   GraCaptionStr(oPS, {nXDest,nYDest } ,;
                      {nWidth,nHeight} ,;
                       cText           ,;
                       XBPALIGN_VCENTER  )

   GraSetAttrString( oPS, aPrev )

   IF Band(aInfo[3], XBP_DRAWSTATE_FOCUS) != 0
      GraFocusRect( oPS, {nXDest,nYDest},{nWidth,nHeight} )
   ENDIF

   onDummy("P_drawItem       ",TIME(),aInfo[1],cText,;
           "{"+LTRIM(STR(nXDest ))+","+;
               LTRIM(STR(nYDest ))+","+;
               LTRIM(STR(nWidth ))+","+;
               LTRIM(STR(nHeight))+"}" )

RETURN

/****************************************************************************

PROCEDURE P1MeasureItem(nItem, aDims, oSelf,aPP)
//
// nItem -> Zero-based index of the list box item
// aDims -> { itemWidth, itemHeight }
//
// Note : itemWidth give strange Result ?
//
//
LOCAL cCaption
LOCAL aBox
LOCAL oPS
LOCAL nPosi

STATIC oFont := NIL

   IF NIL = oFont
      nPosi := ASCAN(aPP,{|x| x[1] = XBP_PP_COMPOUNDNAME } )
      IF nPosi > 0
         oFont  := xbpFont():new()        // Font-Objekt und
         oFont:create()                   // Font erzeugen
         oFont:configure( aPP[nPosi][2] )
      ENDIF
   ENDIF

   //
   // get Item (Text)
   //
   cCaption := oSelf:GetItem( nItem )

   oPS      := oSelf:LockPS()
   //
   // set Font first
   //
   GraSetFont( oPS, oFont )
   //
   // GraQueryTextBox() Dimension
   //
   aBox     := GraQueryTextBox( oPS, cCaption )

   //
   // wide of Item (Text)
   //
   aDims[1] := aBox[3][1] - aBox[1][1]
   //
   // heigh of Item (Text)
   //
   aDims[2] := oSelf:GetItemsHeight( nItem )

   IF oSelf:drawMode <> XBP_DRAW_NORMAL
      //
      // need to calculate from aBox
      //
      aDims[2] := aBox[1][2] - aBox[2][2]
   ENDIF

   IF oSelf:drawMode = XBP_DRAW_OWNERADVANCED
      //
      // just playing
      //
      IF ( nItem % 2) <> 0
         aDims[2] := aDims[2] * 2
      ENDIF
   ENDIF

   oSelf:UnlockPS()

RETURN

PROCEDURE P1drawItem(oPS, aInfo, oSelf,aPP)
LOCAL aSAttrs  := Array( GRA_AS_COUNT )
LOCAL aAAttrs  := Array( GRA_AA_COUNT )
LOCAL aPrev
LOCAL cText
LOCAL nXDest   := aInfo[XBP_DRAWINFO_RECT][1]
LOCAL nYDest   := aInfo[XBP_DRAWINFO_RECT][2]
LOCAL nWidth   := aInfo[XBP_DRAWINFO_RECT][3]
LOCAL nHeight  := aInfo[XBP_DRAWINFO_RECT][4]
LOCAL nPosi

STATIC oFont := NIL

   IF NIL = oFont
      nPosi := ASCAN(aPP,{|x| x[1] = XBP_PP_COMPOUNDNAME } )
      IF nPosi > 0
         oFont  := xbpFont():new()        // Font-Objekt und
         oFont:create()                   // Font erzeugen
         oFont:configure( aPP[nPosi][2] )
      ENDIF
   ENDIF

   GraSetFont( oPS, oFont )


   IF BAND(aInfo[3],XBP_DRAWSTATE_SELECTED) != 0
      aAAttrs[GRA_AA_COLOR] := XBPSYSCLR_HILITEBACKGROUND
   ELSE
      aAAttrs[GRA_AA_COLOR] := XBPSYSCLR_WINDOW
   ENDIF

   GraSetAttrArea( oPS, aAAttrs )
   GraBox( oPS, {nXDest,nYDest}, {nWidth,nHeight}, GRA_FILL )


   //
   // Draw the caption
   //
   aSAttrs[GRA_AS_COLOR]     := GRA_CLR_BLUE
   aSAttrs[GRA_AS_VERTALIGN] := GRA_VALIGN_HALF
   aPrev                     := GraSetAttrString( oPS, aSAttrs )

   cText := oSelf:GetItem(aInfo[1])

   GraCaptionStr(oPS, {nXDest,nYDest } ,;
                      {nWidth,nHeight} ,;
                       cText           ,;
                       XBPALIGN_VCENTER  )

   GraSetAttrString( oPS, aPrev )

   //
   // Draw the focus box, if the object
   // has the input focus
   //
   IF Band(aInfo[3], XBP_DRAWSTATE_FOCUS) != 0
      GraFocusRect( oPS, {nXDest,nYDest},{nWidth,nHeight} )
   ENDIF

RETURN

****************************************************************************/


STATIC PROCEDURE OnDummy()                              // write into Debug Logfile
LOCAL iMax := PCount()
LOCAL i
LOCAL cText := ""

  FOR i := 1 TO iMax -1
      cText += Var2Char( PValue( i ) ) + CHR(9)
  NEXT
  cText += Var2Char( PValue( iMax ) )

  SET CONSOLE OFF
  SET ALTER ON

   ? cText

  SET ALTER OFF
  SET CONSOLE ON

RETURN


*
* EOF
*