
#include "Appevent.ch"
#include "common.ch"
#include "dll.ch"
#include "GRA.ch"
#include "xbp.ch"

#include "DATEPICK.CH"


STATIC lExit := .F.

DLLFUNCTION SendMessageA( hWnd, nMsg, nWparam, nLparam ) USING STDCALL FROM user32.dll

FUNCTION SP_isRun(lValue)                        // is Picker running
   IF PCOUNT() > 0
      lExit := lValue
   ENDIF
RETURN !(lExit)

FUNCTION UsePicker(oSLE,cAction,aEdit,nAktive,lOpen)
LOCAL nEvt,oo,p1,p2
LOCAL aPos
LOCAL aSize
LOCAL oDa
LOCAL nNo   := 1
LOCAL iMax

STATIC oDPick

DEFAULT lOpen   TO .F.

   IF oDPick <> NIL
      lExit := .T.
      RETURN NIL
   ELSE
      lExit := .F.
      nEvt  := oo := p1 := p2 := NIL

      iMax  := LEN(aEdit)
      oDa   := oSLE:setparent()
      aPos  := oSLE:CurrentPos()
      aSize := oSLE:CurrentSize()

      oDPick := DXE_DatePick():New(oDa,,aPos,aSize,,.F.)
      //
      // save old Value
      //
      oDPick:oldbuffer  := oSLE:editbuffer()
      oDPick:cAktion    := cAction
      oDPick:oSLE       := oSLE

      DO CASE
         CASE cAction = "DATE"
         // DTS_APPCANPARSE for F2 Edit
            oDPick:dwLvStyle := nOr(WS_TABSTOP,WS_CHILD,WS_VISIBLE,DTS_SHORTDATECENTURYFORMAT)
         // DblClick / Enter
            oDPick:OnItemDblClick := {|o,lp| PickClick(o,lp,oSLE,cAction) }
         // when close dropbox
            oDPick:OnItemCLOSEUP  := {|o,lp| PostAppEvent(xbeMyDT_RAUSHIER) }

         CASE cAction = "TIME"
         // DTS_APPCANPARSE fr F2 Edit dazu
            oDPick:dwLvStyle := nOr(WS_TABSTOP,WS_CHILD,WS_VISIBLE,DTS_TIMEFORMAT,DTS_UPDOWN)
         // DblClick / Enter
            oDPick:OnItemDblClick := {|o,lp| PickClick(o,lp,oSLE,cAction) }
         // for Time no dropbox

      ENDCASE
      oDPick:Create()

      DO CASE
         CASE cAction = "DATE"
            oDPick:SetData2Pick(oDPick:oldbuffer,TIME())
         CASE cAction = "TIME"
            oDPick:SetData2Pick(DTOC(DATE()) ,oDPick:oldbuffer)
      ENDCASE

   ENDIF

   //
   // Color RGB
   //
*   oDPick:SetColor(Color2Hex({076,254,254}),1)   // MCSC_BACKGROUND
*   oDPick:SetColor(Color2Hex({076,254,254}),2)   // MCSC_MONTHBK
*   oDPick:SetColor(Color2Hex({025,054,055}),3)   // MCSC_TEXT
*   oDPick:SetColor(Color2Hex({000,203,204}),4)   // MCSC_TITLEBK
*   oDPick:SetColor(Color2Hex({000,003,004}),5)   // MCSC_TITLETEXT
*   oDPick:SetColor(Color2Hex({000,103,104}),6)   // MCSC_TRAILINGTEXT
   //
   // Color GRA_CLR_
   //
   oDPick:SetColor(Color2Hex(GRA_CLR_RED     ),1) // MCSC_BACKGROUND
   oDPick:SetColor(Color2Hex(GRA_CLR_CYAN    ),2) // MCSC_MONTHBK
   oDPick:SetColor(Color2Hex(GRA_CLR_BLACK   ),3) // MCSC_TEXT
   oDPick:SetColor(Color2Hex(GRA_CLR_DARKBLUE),4) // MCSC_TITLEBK
   oDPick:SetColor(Color2Hex(GRA_CLR_YELLOW  ),5) // MCSC_TITLETEXT
   oDPick:SetColor(Color2Hex(GRA_CLR_PINK    ),6) // MCSC_TRAILINGTEXT

   oDPick:Show()
   SetAppWindow( oDPick )
   SetAppFocus( oDPick )

   IF lOpen
//
//    does not work this Way
//
//      PostAppEvent(xbeK_F4,,,oDPick)
//
//    need VK_ Konstante
//
      sendmessageA(oDPick:hDPick,WM_KEYDOWN,VK_F4,0)
      sendmessageA(oDPick:hDPick,WM_KEYUP  ,VK_F4,0)
   ENDIF

   DO WHILE ( !lExit = .T. )
      nEvt := AppEvent(@p1,@p2,@oo )
      DO CASE

         CASE nEvt = xbeMyDT_RAUSHIER
            NEXT_TAB(aEdit,nAktive,nNo)
            lExit := .T.

         CASE nEvt = xbeMyDT_ABBRUCH
            // restore old buffer
            oSLE:setdata(oDPick:oldbuffer)

            NEXT_TAB(aEdit,nAktive,nNo)
            lExit := .T.

         CASE nEvt = xbeMyDT_TABBACK
            // restore old buffer
            oSLE:setdata(oDPick:oldbuffer)

            BACK_TAB(aEdit,nAktive,nNo)
            lExit := .T.

         CASE nEvt = xbeMyDT_TABNEXT
            // restore old buffer
            oSLE:setdata(oDPick:oldbuffer)

            NEXT_TAB(aEdit,nAktive,nNo)
            lExit := .T.
      OTHERWISE
         oo:HandleEvent(nEvt,p1,p2)
      ENDCASE
   ENDDO

   IF oDPick <> NIL
      oDPick:destroy()
   ENDIF
   oDPick := NIL

RETURN NIL

PROCEDURE NEXT_TAB(aEdit,nAktive,nNo)
LOCAL iMax  := LEN(aEdit)

   IF nAktive <> 0
      nNo := nAktive + 1
      IF nNo > iMax
         nNo := 1
      ENDIF
      SetAppFocus( aEdit[nNo] )
   ENDIF
RETURN

PROCEDURE BACK_TAB(aEdit,nAktive,nNo)
LOCAL iMax  := LEN(aEdit)

   IF nAktive <> 0
      nNo := nAktive - 1
      IF nNo < 1
         nNo := iMax
      ENDIF
      SetAppFocus( aEdit[nNo] )
   ENDIF
RETURN


FUNCTION PickClick(o,st,oSLE,cAction)
LOCAL cdate := ""
LOCAL ctime := ""
LOCAL lIsCentury := SET(_SET_CENTURY)
LOCAL nYear := 0

   cdate := STRZERO(st:st:wDay,2)
   cdate += "."
   cdate += STRZERO(st:st:wMonth,2)
   cdate += "."


   IF lIsCentury
      cdate += STRZERO(st:st:wYear,4)
   ELSE
      nYear := st:st:wYear
      cdate += STRZERO(nYear-2000 ,2)
   ENDIF

   ctime := STRZERO(st:st:wHour,2)
   ctime += ":"
   ctime += STRZERO(st:st:wMinute,2)
   ctime += ":"
   ctime += STRZERO(st:st:wSecond,2)

   DO CASE
      CASE cAction = "DATE"
         oSLE:setdata(cdate)

      CASE cAction = "TIME"
         oSLE:setdata(ctime)
   ENDCASE

*   MsgBox( cdate+CHR(13)+CHR(10)+ctime )

RETURN {cdate,ctime}

FUNCTION Color2Hex(xValue)
LOCAL cHex := "0x"
LOCAL aColor := {0,0,0}

   DO CASE
      CASE VALTYPE(xValue) = "A"
         cHex += cByte2Hex(xValue[3])+;
                 cByte2Hex(xValue[2])+;
                 cByte2Hex(xValue[1])

      CASE VALTYPE(xValue) = "N"
         aColor := GraGetRGBIntensity(xValue)

         IF aColor <> NIL
            cHex += cByte2Hex(aColor[3])+;
                    cByte2Hex(aColor[2])+;
                    cByte2Hex(aColor[1])
         ELSE

            IF xValue = XBPSYSCLR_TRANSPARENT
               cHex := "-1"
            ELSE

               DO CASE
                  CASE xValue = GRA_CLR_WHITE     ; aColor := {255,255,255}
                  CASE xValue = GRA_CLR_BLACK     ; aColor := {000,000,000}
                  CASE xValue = GRA_CLR_BLUE      ; aColor := {000,000,255} // {076,076,254}
                  CASE xValue = GRA_CLR_RED       ; aColor := {255,000,000} // {254,076,076}
                  CASE xValue = GRA_CLR_PINK      ; aColor := {255,128,255} // {254,076,252}
                  CASE xValue = GRA_CLR_GREEN     ; aColor := {000,255,000} // {076,254,076}
                  CASE xValue = GRA_CLR_CYAN      ; aColor := {128,255,255} // {076,252,254}
                  CASE xValue = GRA_CLR_YELLOW    ; aColor := {255,255,128} // {253,254,076}
                  CASE xValue = GRA_CLR_DARKGRAY  ; aColor := {192,192,192}
                  CASE xValue = GRA_CLR_DARKBLUE  ; aColor := {000,000,160} // {000,000,204}
                  CASE xValue = GRA_CLR_DARKRED   ; aColor := {128,000,000} // {204,000,000}
                  CASE xValue = GRA_CLR_DARKPINK  ; aColor := {255,000,255} // {204,000,201}
                  CASE xValue = GRA_CLR_DARKGREEN ; aColor := {000,128,000} // {000,204,000}
                  CASE xValue = GRA_CLR_DARKCYAN  ; aColor := {000,128,255} // {000,201,204}
                  CASE xValue = GRA_CLR_BROWN     ; aColor := {128,064,000} // {202,204,000}
                  CASE xValue = GRA_CLR_PALEGRAY  ; aColor := {219,219,219}
               ENDCASE

               cHex += cByte2Hex(aColor[3])+;
                       cByte2Hex(aColor[2])+;
                       cByte2Hex(aColor[1])
            ENDIF
         ENDIF

   ENDCASE


RETURN cHex

*
* EOF
*