#include "Appevent.ch"
#include "Xbp.ch"
#include "Gra.ch"
#include "Directry.ch" 

#define CRLF                     CHR(13)+CHR(10)

PROCEDURE Appsys
RETURN

PROCEDURE Main
LOCAL nEvent, mp1, mp2, oXbp
LOCAL oDlg
LOCAL zPath := LEFT(AppName(.t.),LEN(AppName(.t.)) - LEN(AppName(.f.)))

LOCAL oDXElist
LOCAL aTitle   := {"Name","Size","Date","Time","Attr"}
LOCAL aColWide := {   340,    70,    70,    70,   20 }
LOCAL aDir     := {}
LOCAL nStartAt := 1

   oDlg         := XbpDialog():new(AppDesktop() ,, {0,0}, {640,480},,.F. )
   oDlg:title   := "ListView multi Columne"
   oDlg:titlebar := .T.
   oDlg:tasklist := .T.
   oDlg:drawingArea:resize := {| aOldSize, aNewSize, oSelf | MyResize(aOldSize, aNewSize, oSelf) }
   oDlg:setDisplayFocus := {| uNIL1, uNIL2, oSelf | setAppFocus(oDXElist)  }
   oDlg:setInputFocus   := {| uNIL1, uNIL2, oSelf | setAppFocus(oDXElist:oLW1)  }
   oDlg:icon      := 1
   oDlg:create()

   CenterControl(oDlg)

   oDXElist := DXE_ListView():new(oDlg:drawingArea  ,, {10, 10}, {620, 420})
   oDXElist:markMode := XBPLISTBOX_MM_MULTIPLE
   oDXElist:create()

   //
   // set Property before Colume
   //
   oDXElist:lFullRowSelect := .T.
   oDXElist:lGridLines     := .T.

   //
   // Columne anlegen
   //
   oDXElist:CreateTheListView(aTitle , aColWide)

   //
   // Use Header
   //
   oDXElist:ApplyHeaderColumne(.T.)

   //
   // now :SubScriptEvents()
   //
   oDXElist:SubScriptEvents()

   //
   // Action Codeblock
   //
   oDXElist:OnItemActivate := {|n,st| DoIt(oDXElist)  }

   //
   // fill Array
   //
   aDir := Directory(zPath+"*.*","DHS")

*  ASORT(aDir,,,{|x,y|  x[F_NAME] < y[F_NAME]})

   ASORT(aDir,,, {|x,y| "D" $ x[F_ATTR] })
   AEVAL(aDir,   {|x,i| nStartAt := IF("D" $ x[F_ATTR], i, nStartAt) })
   ASORT(aDir,1,nStartAt,{|x,y|  LOWER(x[F_NAME]) < LOWER(y[F_NAME])})

   oDXElist:aSource := aDir

   //
   // Populate it
   //
   oDXElist:PopulateTheListView("STAY")

   oDlg:show()
   oDXElist:show()
   oDXElist:oLW1:hideit()
   oDXElist:oLW1:showit()

   setAppFocus(oDXElist:oLW1 )

   nEvent := 0
   DO WHILE nEvent <> xbeP_Close
      nEvent := AppEvent( @mp1, @mp2, @oXbp)
      oXbp:HandleEvent( nEvent, mp1, mp2 )
   ENDDO

RETURN

// Markierte Eintrge aus einem ListView
PROCEDURE DoIt(oDXElist)
LOCAL aArray := oDXElist:getData()
LOCAL nLen    := LEN(aArray)
LOCAL i
LOCAL cText   := ""

   IF .NOT. EMPTY(aArray)
      FOR i := 1 TO nLen
         cText += oDXElist:getItem(aArray[i])+CRLF
      NEXT

      Msgbox(cText)
   ENDIF
RETURN

PROCEDURE MyResize(aOldSize, aNewSize, oSelf)
LOCAL aChild := {}

   IF aOldSize[1] == 0 .AND. aOldSize[2] == 0               // was minimize
      aOldSize := aNewSize                                  // New Size

   ELSEIF aNewSize[1] == 0 .OR. aNewSize[2] == 0            // is now minimized
      RETURN

   ELSEIF aNewSize[1] == aOldSize[1] .AND. aNewSize[2] == aOldSize[2]
      RETURN
   ENDIF                                                    // same Size

   oSelf:lockUpdate(.T.)

   aChild := oSelf:Childlist()
   //
   IF aChild[1]:isDerivedFrom("DXE_ListView")
      aChild[1]:_SetSize( {aNewSize[1]-20,aNewSize[2]-20})
   ENDIF


   oSelf:lockUpdate(.F.)
   oSelf:invalidateRect()

RETURN


*
*
*