#include "Fileio.ch"
#include "directry.ch"

#define PBS_MARQUEE       0x08
#define PBS_SMOOTH        0x01
#define PBS_NORMAL        0x00

PROCEDURE Main(cAction)
LOCAL cFile    := ".\BIGFILE.TXT"
LOCAL nHandle  := 0
LOCAL i        := 1
LOCAL Imax     := 100000                        // 1000000
LOCAL nbyte    := 0
LOCAL cText    := ""
LOCAL nLen     := 1024
LOCAL nTimeON  := 0
LOCAL nTimeOFF := 0
LOCAL aFile

LOCAL oProgress
LOCAL aPOS     := {0,0}
LOCAL aSIZE
LOCAL aPP      := {}
LOCAL xMax     := 0
LOCAL xScale   := 0
LOCAL nValue   := 0
LOCAL nLast    := 0

   IF FILE(cFile)
      fErase(cFile)
   ENDIF

   CLS
   ? "Start     :",TIME()
   ? "Blocksize :",nLen
   ? "Iteration :",Transform( Imax,"999,999,999,999")
   ? "Datasize  :",Transform( Imax*nLen,"999,999,999,999")
   ? ""
   ? ""
   ? "please wait ..."


   IF PCOUNT() > 0
      ? ""
      ? "use Progressbar"

      aSIZE    := SetAppWindow():currentSize()
      aSIZE[2] := 20

      xMax     := Imax*nLen
      xScale   := Imax*xMax*10

      oProgress := DXE_ProgressBar():New( SetAppWindow(),, aPOS, aSIZE,aPP )

      oProgress:UseVisualStyle   := .T.

      IF PCOUNT() > 1
         ? "use Percent"
         oProgress:UsePercent    := .T.
      ELSE
         oProgress:UsePercent    := .F.
      ENDIF
      oProgress:Create()

      oProgress:Style            := PBS_SMOOTH
      oProgress:Minimum          := 0
      oProgress:Maximum          := xMax
      oProgress:nScaleMax        := xScale

      IF PCOUNT() > 2
         ? "use INT() to show"
      ENDIF
   ELSE
      ? "Syntax:"
      ? ""
      ? "   Demo2.EXE [<1>][<2>][<3>]"
      ? ""
      WAIT
      QUIT
   ENDIF

   nHandle  := FCreate(cFile, FC_NORMAL )
   IF nHandle == -1
      ? "Fehler beim Erzeugen der Datei:", FError()
   ELSE
      cText := Replicate("*", nLen)

      nTimeON   := SECONDS()
      i := 1
      FOR i := 1 TO iMax
         nbyte := FWrite( nHandle, cText, nLen )

         IF NIL <> oProgress
            nValue += nbyte

            IF PCOUNT() > 2
               IF nLast <> INT( nValue / iMax )
                  nLast := INT( nValue / iMax )
                  oProgress:SetData( nValue )
               ENDIF
            ELSE
               oProgress:SetData( nValue )
            ENDIF
         ENDIF

      NEXT
      FClose( nHandle )
      nTimeOFF    := SECONDS()

      ? LTrim(STR(nTimeOFF-nTimeON))+" sec."

      aFile := Directory("BIGFILE.TXT")
      ? aFile[1][F_NAME],;
        Transform( aFile[1][F_SIZE],"999,999,999,999"),;
        aFile[1][F_DATE],;
        aFile[1][F_TIME]

   ENDIF

   IF PCOUNT() > 0
      oProgress:destroy()
   ENDIF

   WAIT

   IF FILE(cFile)
      fErase(cFile)
   ENDIF

RETURN

*
*
*