
#include "xbp.ch"
#include "Appevent.ch"
#include "common.ch"
#include "inkey.ch"
#include "applictn.ch"

PROCEDURE appsys ; return
// ---------------------------------------------------------------------------

PROCEDURE Main()
LOCAL nEvent, oXbp, mp1, mp2
LOCAL oDlg
LOCAL oSbar
LOCAL oThread


   SET DATE GERMAN
   SET CENTURY ON
   SET ALTER TO LOGFILE.TXT

   //
   oDlg := NewForm():New(AppDesktop(),,{0,0}, {533,296},,.F.)
   oDlg:taskList := .T.
   oDlg:title    := "native Statusbar"
   oDlg:icon     := 1
   oDlg:close    := {|p1,p2,oo| PostAppEvent(xbeP_Quit,,,oo) }
   oDlg:drawingArea:resize := {| aOldSize, aNewSize, oSelf | MyResize(aOldSize,aNewSize,oSelf,oSbar)  }
   oDlg:Create()

   oDlg:drawingArea:ClipChildren := .T.

   CreateStatusbar(oDlg,@oSbar)

   //
   // prevent PC go into Standby-Mode
   //
   *
   // work only with XP
   //
   oDlg:systemPowerStatus := {| nChange, uNIL, oSelf | NoDown(nChange, oSelf) }
   *
   // when using Win7/8/10
   //
   oSbar:SetStandbyOFF(.T.)

   CenterControl(oDlg)

   oDlg:Show()
   SetAppFocus( oDlg:ButtonCancel )

#IFDEF USEPROGRESS
*   oThread := Thread():new()
*   oThread:setStartTime( SECONDS()+3 )
*   oThread:start( "ProgressShow", 1,oSbar )
#ENDIF

   nEvent := xbe_None
   WHILE nEvent != xbeP_Close
      nEvent := AppEvent ( @mp1, @mp2, @oXbp )
      oXbp:HandleEvent ( nEvent, mp1, mp2 )
      IF nEvent == xbeP_Quit
         QUIT   // AppQuit()
      ENDIF
   ENDDO

   oSbar:destroy()
   oDlg:destroy()
   SET ALTER TO

RETURN

FUNCTION NoDown(nChange, oSelf)
   TONE(1234)
   ondummy("NoDown",nChange,TIME())
RETURN XPP_POWERQUERY_DENY


PROCEDURE OnDummy()
LOCAL iMax    := PCOUNT()
LOCAL i
LOCAL cString := ""
LOCAL xValue

   FOR i := 1 TO iMax - 1
      cString += Var2Char( PValue( i ) ) + CHR( 9 )
   NEXT
   cString += Var2Char( PValue( iMax ) )

   SET CONSOLE OFF
   SET ALTER ON

   ? cString

   SET ALTER OFF
   SET CONSOLE ON

RETURN


CLASS NewForm FROM _NewForm
   EXPORTED:
      METHOD init
      METHOD create
ENDCLASS

METHOD NewForm:init( oParent, oOwner, aPos, aSize, aPP, lVisible )
   ::_NewForm:init( oParent, oOwner, aPos, aSize, aPP, lVisible )
RETURN self

METHOD NewForm:create( oParent, oOwner, aPos, aSize, aPP, lVisible )
   ::_NewForm:create( oParent, oOwner, aPos, aSize, aPP, lVisible )
   ::show()
RETURN self

* Programmcode fr die Implementierungsebene der Klasse einfgen
* #include "_STATBAR.PRG"

//EOF
/////