//
// Beispiel fr die Verwendung des Xbase Parts
// XbpStatusBar
//
#include "XBP.CH"
#include "AppEvent.CH"

PROCEDURE Main()
 LOCAL oDlg
 LOCAL oSBar
 LOCAL nEvent, mp1, mp2, oXbp
 LOCAL oPanel

  SET ALTER TO LOGFILE1.TXT

  //
  // Erzeugen des Hauptfensters der Anwendung
  //
  oDlg := XbpDialog():new( Appdesktop() )
  oDlg:title      := "Statusbar-Beispiel"
  oDlg:taskList := .T.
  oDlg:close    := {|| PostAppEvent(xbeP_Quit,,, oDlg) }
  oDlg:create( ,, {50,50}, {640,480},, .F. )
  oDlg:drawingArea:resize := {|| ResizeStatusbar(oSBar)}

  //
  // Erzeugen eines XbpStatusBar-Objekts am
  // unteren Rand des Anwendungsfensters
  //
* oSBar := XbpStatusBar():new( oDlg:drawingArea )
* oSBar:create( ,, {0,0}, {oDlg:drawingArea:currentSize()[1],30} )
  oSBar := DXE_Statbar():new( oDlg:drawingArea ,, {0,0}, {oDlg:drawingArea:currentSize()[1],30}  )
  oSBar:create()

  //
  // Erzeugung von zwei Statusbar-Panels zur Anzeige
  // des Anwendungsstatus ("Bereit") sowie der Uhrzeit
  //
  oPanel := oSBar:getItem( 1 )
  oPanel:caption  := "Ready"
  oPanel:autosize := XBPSTATUSBAR_AUTOSIZE_SPRING

  oPanel := oSBar:addItem()
  oPanel:Style := XBPSTATUSBAR_PANEL_TIME
  oPanel:autosize := XBPSTATUSBAR_AUTOSIZE_CONTENTS

  //
  // Anzeigen des Hauptfensters und Bearbeitung
  // von Nachrichten, bis das Fenster vom
  // Anwender wieder geschlossen wird
  //
  oDlg:show()

  SetAppWindow( oDlg )
  SetAppFocus( oDlg )

  nEvent := xbeP_Quit
  DO WHILE nEvent != xbeP_Close
    nEvent := AppEvent( @mp1, @mp2, @oXbp )
    oXbp:handleEvent( nEvent, mp1, mp2 )
  ENDDO

  oDlg:destroy()

  SET ALTER TO

RETURN

// ndern der Grsse des XbpStatusBar-Objekts, sodass
// es immer die gesamte Breite der DrawingArea des
// Dialogs einnimmt

PROCEDURE ResizeStatusbar( oSBar )
  LOCAL oParent := oSBar:setParent()
    oSBar:setSize( {oParent:currentSize()[1], oSBar:currentSize()[2]} )
RETURN

// berladene AppSys()-Prozedur zur Unterdrckung
// des Standard-XbpCrt-Fensters
PROCEDURE AppSys()
RETURN

