*+
*+
*+    Source Module => D:\ALASKA\NATIVE\Tabpage\USETAB.PRG
*+
*+    Functions: Function CreateTabs()
*+               Procedure AddButton()
*+               Procedure AddProperty()
*+               Procedure DlgProperty()
*+               Class PropForm
*+               Method PropForm:init()
*+               Method PropForm:create()
*+               Class PropDlg
*+               Method PropDlg:init()
*+               Method PropDlg:create()
*+               Method PropDlg:FillForm()
*+               Method PropDlg:GetMark()
*+               Procedure PropertyResize()
*+
*+    Reformatted by Click! 2.03 on Nov-16-2014 at  9:16 pm
*+
*+

#include "xbp.CH"
#include "Appevent.ch"
#include "Font.ch"
#include "common.ch"

*+
*+
*+    Function CreateTabs()
*+
*+    Called from ( demotab.prg  )   1 - procedure main()
*+
*+
*+
FUNCTION CreateTabs( oDlg )

   LOCAL aPos
   LOCAL aSize
   LOCAL oDa
   LOCAL oTabCtl
   LOCAL oTab1
   LOCAL oTab2
   LOCAL oTab3
   LOCAL oTab4
   LOCAL oTab5
   LOCAL oTab6
   LOCAL oTab7
   LOCAL oTab8
   LOCAL oTab9
   LOCAL oTab10

   oDa := oDlg:DrawingArea
   aPos := { 10, 10 }
   aSize := oDa:CurrentSize()
   aSize[ 1 ] -= 20
   aSize[ 2 ] -= 20

   // this is only Tabpage Control
   //
   oTabCtl := DXE_TabCtl() :New( oDa,, aPos, aSize,, .F. )

   oTabCtl:nStyle := 2                                      // 1=TCS_TABS,2=TCS_BUTTONS
   oTabCtl:lFlatbutton := .T.                               // need TCS_BUTTONS
   oTabCtl:lSeparators := .F.                               // need TCS_FLATBUTTONS
   oTabCtl:lMulti := .T.                                    // TCS_MULTILINE
   oTabCtl:lVertical := .T.                                 // need TCS_MULTILINE
*  oTabCtl:nAlignment  := XBPALIGN_LEFT                     // need TCS_VERTICAL
   oTabCtl:nAlignment  := XBPALIGN_RIGHT                    // need TCS_VERTICAL
*  oTabCtl:nAlignment  := XBPALIGN_TOP                      //
*  oTabCtl:nAlignment  := XBPALIGN_BOTTOM                   //
   oTabCtl:nJustify := 2                                    // 1=TCS_RAGGEDRIGHT,2=TCS_RIGHTJUSTIFY,3=TCS_FIXEDWIDTH
   oTabCtl:lLabelleft := .T.                                // need TCS_FIXEDWIDTH -> .T.=TCS_FORCELABELLEFT,.F.=TCS_FORCEICONLEFT
   oTabCtl:lScrollLoop := .F.                               // TCS_SCROLLOPPOSITE ... hm

   oTabCtl:Create()
   oTabCtl:Show()
   SETAPPWINDOW( oTabCtl )
   SETAPPFOCUS( oTabCtl )

   // add Tabpage here                   ; Callback Slot                                            ; just a Button as Child
   //
   oTab1 := oTabCtl:AddTab( "Tab1", 201 ) ; oTab1:tabActivate := { || oDlg:setTitle( "native Tab1" ) } ; AddButton( oTab1, "Tab1" )
   oTab2 := oTabCtl:AddTab( "Tab2", 202 ) ; oTab2:tabActivate := { || oDlg:setTitle( "native Tab2" ) } ; AddButton( oTab2, "Tab2" )
   oTab3 := oTabCtl:AddTab( "Tab3", 203 ) ; oTab3:tabActivate := { || oDlg:setTitle( "native Tab3" ) } ; AddButton( oTab3, "Tab3" )
   oTab4 := oTabCtl:AddTab( "Tab4", 204 ) ; oTab4:tabActivate := { || oDlg:setTitle( "native Tab4" ) } ; AddButton( oTab4, "Tab4" )
   oTab5 := oTabCtl:AddTab( "Tab5", 205 ) ; oTab5:tabActivate := { || oDlg:setTitle( "native Tab5" ) } ; AddButton( oTab5, "Tab5" )
   oTab6 := oTabCtl:AddTab( "Tab6", 206 ) ; oTab6:tabActivate := { || oDlg:setTitle( "native Tab6" ) } ; AddButton( oTab6, "Tab6" )
   oTab7 := oTabCtl:AddTab( "Tab7", 207 ) ; oTab7:tabActivate := { || oDlg:setTitle( "native Tab7" ) } ; AddButton( oTab7, "Tab7" )
   oTab8 := oTabCtl:AddTab( "Tab8", 208 ) ; oTab8:tabActivate := { || oDlg:setTitle( "native Tab8" ) } ; AddButton( oTab8, "Tab8" )
   oTab9 := oTabCtl:AddTab( "Tab9", 209 ) ; oTab9:tabActivate := { || oDlg:setTitle( "native Tab9" ) } ; AddButton( oTab9, "Tab9" )

   oTab10 := oTabCtl:AddTab( "Tab10",210) ; oTab10:tabActivate:= { || oDlg:setTitle( "native Tab10") } ; AddProperty( oTab10, oTabCtl )

   // activate 5th Tab
   //
   oTab5:maximize()

RETURN oTabCtl

*+
*+
*+    Procedure AddButton()
*+
*+    Called from ( usetab.prg   )   9 - function createtabs()
*+
*+
*+
PROCEDURE AddButton( oDraw, cCaption )

   LOCAL oXbp
   LOCAL aPos  := { 10, 10 }
   LOCAL aSize := oDraw:CurrentSize()

   aSize[ 1 ] -= 20
   aSize[ 2 ] -= 40

   //
   // Childlist() Area must be adjust by oTabCtl:BodyResize()
   //
   oXbp := XBPPUSHBUTTON() :new( oDraw,, aPos, aSize, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, - 58 } } )
   oXbp:caption := cCaption
   oXbp:create()
   oXbp:activate := { || MSGBOX( "Pushbutton " + cCaption ) }
RETURN

*+
*+
*+    Procedure AddProperty()
*+
*+    Called from ( usetab.prg   )   1 - function createtabs()
*+
*+
*+
PROCEDURE AddProperty( oDraw, oTabCtl )

   LOCAL oThread := Thread() :new()
   oThread:start( "DlgProperty", oDraw, oTabCtl )
RETURN

*+
*+
*+    Procedure DlgProperty()
*+
*+
*+
PROCEDURE DlgProperty( oDraw, oTabCtl )

   LOCAL nEvent, oXbp, mp1, mp2
   LOCAL oDlg
   LOCAL lExit  := .F.
   LOCAL oMain  := oTabCtl:Setparent()

   oDlg := PropDlg() :New( oDraw )                          // ,,{0,0},oTabCtl:Currentsize() )
   oDlg:titlebar := .F.
   oDlg:border := XBPDLG_NO_BORDER
   oDlg:close := { || lExit := .T. }
   oDlg:ButtonOK:activate := { || oTabCtl:UpdateStyle( .F. ), ;
                               oDlg:GetMark( oTabCtl ), ;
                               oTabCtl:SetStyle(), ;
                               oTabCtl:UpdateStyle( .T. ), ;
                               PostAppEvent( xbeP_Resize, { 1, 1 }, oMain:Currentsize(), oMain ) }

   oDlg:drawingArea:resize := { | aOldSize, aNewSize, oSelf | PropertyResize( aOldSize, aNewSize, oSelf ) }

   oDlg:Create()
   oDlg:FillForm( oTabCtl )

   CenterControl( oDlg, oDraw )
   oDlg:Show()

   nEvent := xbe_None
   DO WHILE !lExit
      nEvent := APPEVENT( @mp1, @mp2, @oXbp )
      oXbp:HandleEvent( nEvent, mp1, mp2 )
      IF nEvent == xbeP_Quit
         QUIT                                               // AppQuit()
      ENDIF
   ENDDO

   oDlg:Destroy()

RETURN

*+
*+
*+    Class PropForm
*+
*+
*+
CLASS PropForm FROM XbpDialog

   EXPORTED:
      VAR editControls

      VAR oGrpAll
      VAR oStyle
      VAR oAlignment
      VAR oJustify
      VAR oGrpMulti
      VAR oMulti
      VAR oVertical
      VAR oGrpFlat
      VAR oFlatbutton
      VAR oSeparators
      VAR oGrpLabel
      VAR oLabelleft
      VAR oScrollLoop
      VAR ButtonOK
      VAR ButtonCancel

      METHOD INIT
      METHOD CREATE
ENDCLASS

*+
*+
*+    Method PropForm:init()
*+
*+
*+
METHOD PropForm:init( oParent, oOwner, aPos, aSize, aPP, lVisible )

   LOCAL aDraw

   DEFAULT oParent TO APPDESKTOP(), ;
           aPos TO { 0, 0 }, ;
           aSize TO { 426, 180 }, ;
           lVisible TO .F.

   DEFAULT aPP TO {}
   AADD( aPP, { XBP_PP_COMPOUNDNAME, "8.Arial" } )

   ::XbpDialog:init( oParent, oOwner, aPos, aSize, aPP, lVisible )
   ::XbpDialog:taskList := .T.
   ::XbpDialog:title := "Neues Formular"

   aDraw := ::XbpDialog:drawingArea:CurrentSize()

   ::editControls := {}

   ::oGrpAll := XBPSTATIC() :new( ::drawingArea,, { 0, 0 }, aDraw ) // , { { XBP_PP_BGCLR, - 255 } } )
   ::oGrpAll:caption := "Style Property"
   ::oGrpAll:clipSiblings := .T.
   ::oGrpAll:type := XBPSTATIC_TYPE_GROUPBOX
*  ::oGrpAll:type := XBPSTATIC_TYPE_TEXT

   ::oStyle := XBPCOMBOBOX() :new( ::oGrpAll,, { 16, 84 + 10 }, { 128, 60 }, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::oStyle:tabStop := .T.
   ::oStyle:type := XBPCOMBO_DROPDOWNLIST

   ::oAlignment := XBPCOMBOBOX() :new( ::oGrpAll,, { 148, 84 + 10 - 60 }, { 128, 120 }, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::oAlignment:tabStop := .T.
   ::oAlignment:type := XBPCOMBO_DROPDOWNLIST

   ::oJustify := XBPCOMBOBOX() :new( ::oGrpAll,, { 280, 84 + 10 - 30 }, { 128, 90 }, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::oJustify:tabStop := .T.
   ::oJustify:type := XBPCOMBO_DROPDOWNLIST

   ::oGrpMulti := XBPSTATIC() :new( ::oGrpAll,, { 148, 68 }, { 128, 64 }, { { XBP_PP_BGCLR, - 255 } } )
   ::oGrpMulti:caption := ""
   ::oGrpMulti:clipSiblings := .T.
   ::oGrpMulti:type := XBPSTATIC_TYPE_GROUPBOX

   ::oMulti := XBPCHECKBOX() :new( ::oGrpMulti,, { 4, 24 }, { 100, 20 } )
   ::oMulti:caption := "MultiRow"
   ::oMulti:tabStop := .T.
   ::oMulti:selected := { || NIL }

   ::oVertical := XBPCHECKBOX() :new( ::oGrpMulti,, { 4, 4 }, { 100, 20 } )
   ::oVertical:caption := "Vertical"
   ::oVertical:tabStop := .T.
   ::oVertical:selected := { || NIL }

   ::oGrpFlat := XBPSTATIC() :new( ::oGrpAll,, { 16, 68 }, { 128, 64 }, { { XBP_PP_BGCLR, - 255 } } )
   ::oGrpFlat:caption := ""
   ::oGrpFlat:clipSiblings := .T.
   ::oGrpFlat:type := XBPSTATIC_TYPE_GROUPBOX

   ::oFlatbutton := XBPCHECKBOX() :new( ::oGrpFlat,, { 4, 24 }, { 100, 20 } )
   ::oFlatbutton:caption := "Flatbutton"
   ::oFlatbutton:tabStop := .T.
   ::oFlatbutton:selected := { || NIL }

   ::oSeparators := XBPCHECKBOX() :new( ::oGrpFlat,, { 4, 4 }, { 100, 20 } )
   ::oSeparators:caption := "Separators"
   ::oSeparators:tabStop := .T.
   ::oSeparators:selected := { || NIL }

   ::oGrpLabel := XBPSTATIC() :new( ::oGrpAll,, { 280, 68 }, { 128, 64 }, { { XBP_PP_BGCLR, - 255 } } )
   ::oGrpLabel:caption := ""
   ::oGrpLabel:clipSiblings := .T.
   ::oGrpLabel:type := XBPSTATIC_TYPE_GROUPBOX

   ::oLabelleft := XBPCHECKBOX() :new( ::oGrpLabel,, { 4, 24 }, { 100, 20 } )
   ::oLabelleft:caption := "Labelleft"
   ::oLabelleft:tabStop := .T.
   ::oLabelleft:selected := { || NIL }

   ::oScrollLoop := XBPCHECKBOX() :new( ::oGrpLabel,, { 4, 4 }, { 100, 20 } )
   ::oScrollLoop:caption := "ScrollLoop"
   ::oScrollLoop:tabStop := .T.
   ::oScrollLoop:selected := { || NIL }

   ::ButtonOK := XBPPUSHBUTTON() :new( ::oGrpAll,, { 280, 16 }, { 128, 40 }, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, - 58 } } )
   ::ButtonOK:caption := "~Save"
   ::ButtonOK:tabStop := .T.
   ::ButtonOK:activate := { || Gather( ::editControls ), PostAppEvent( xbeP_Close ) }

   ::ButtonCancel := XBPPUSHBUTTON() :new( ::oGrpAll,, { 16, 12 }, { 128, 44 }, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, - 58 } } )
   ::ButtonCancel:caption := "~Abort"
   ::ButtonCancel:tabStop := .T.
   ::ButtonCancel:activate := { || PostAppEvent( xbeP_Close ) }

RETURN self

*+
*+
*+    Method PropForm:create()
*+
*+
*+
METHOD PropForm:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::XbpDialog:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::oGrpAll:create()
   ::oStyle:create()
   ::oAlignment:create()
   ::oJustify:create()
   ::oGrpMulti:create()
   ::oMulti:create()
   ::oVertical:create()
   ::oGrpFlat:create()
   ::oFlatbutton:create()
   ::oSeparators:create()
   ::oGrpLabel:create()
   ::oLabelleft:create()
   ::oScrollLoop:create()
   ::ButtonOK:create()
   ::ButtonCancel:create()

   CenterControl( ::oGrpAll, ::drawingArea )

RETURN self

*+
*+
*+    Class PropDlg
*+
*+
*+
CLASS PropDlg FROM PropForm

   EXPORTED:
      METHOD INIT
      METHOD CREATE

      METHOD FillForm()
      METHOD GetMark()
ENDCLASS

*+
*+
*+    Method PropDlg:init()
*+
*+
*+
METHOD PropDlg:init( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::PropForm:init( oParent, oOwner, aPos, aSize, aPP, lVisible )
RETURN self

*+
*+
*+    Method PropDlg:create()
*+
*+
*+
METHOD PropDlg:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::PropForm:create( oParent, oOwner, aPos, aSize, aPP, lVisible )
RETURN self

*+
*+
*+    Method PropDlg:FillForm()
*+
*+
*+
METHOD PropDlg:FillForm( oTabCtl )

   LOCAL nNo
   LOCAL xValue := 0

   ::oStyle:addItem( "TCS_TABS" )
   ::oStyle:addItem( "TCS_BUTTONS" )
   ::oStyle:Setdata( { oTabCtl:nStyle } )
   ::oStyle:itemMarked := { | u1, u2, oSelf | nNo := oSelf:getData() [1], ;
                            IF( nNo = 1, oTabCtl:lFlatbutton := .F., NIL ), ;
                            IF( nNo = 1, ::oFlatbutton:setData( .F. ), NIL ), ;
                            oTabCtl:nStyle := nNo }

   ::oAlignment:addItem( "XBPALIGN_TOP   " )
   ::oAlignment:addItem( "XBPALIGN_BOTTOM" )
   ::oAlignment:addItem( "XBPALIGN_LEFT  " )
   ::oAlignment:addItem( "XBPALIGN_RIGHT " )
   ::oAlignment:Setdata( { oTabCtl:nAlignment } )
   ::oAlignment:itemMarked := { | u1, u2, oSelf | nNo := oSelf:getData() [1], ;
                                IF( nNo = 1, xValue := XBPALIGN_TOP, ;
                                IF( nNo = 2, xValue := XBPALIGN_BOTTOM, ;
                                IF( nNo = 3, xValue := XBPALIGN_LEFT, ;
                                IF( nNo = 4, xValue := XBPALIGN_RIGHT, ;
                                NIL ) ) ) ), oTabCtl:nAlignment := xValue }

   ::oJustify:addItem( "TCS_RAGGEDRIGHT " )
   ::oJustify:addItem( "TCS_RIGHTJUSTIFY" )
   ::oJustify:addItem( "TCS_FIXEDWIDTH  " )
   ::oJustify:Setdata( { oTabCtl:nJustify } )
   ::oJustify:itemMarked := { | u1, u2, oSelf | oTabCtl:nJustify := oSelf:getData() [1] }

   ::oMulti:selected := { | lCheck, uNIL, oSelf | oTabCtl:lMulti := lCheck, ;
                          IF( lCheck, NIL, ::oVertical:Setdata( .F. ) ), ;
                          IF( lCheck, NIL, ::oAlignment:Setdata( { 1 } ) ) }

   ::oVertical:selected := { | lCheck, uNIL, oSelf | oTabCtl:lVertical := lCheck, ;
                             IF( lCheck, ::oAlignment:Setdata( { 3 } ), ::oAlignment:Setdata( { 1 } ) ), ;
                             PostAppEvent( xbeLB_ItemMarked,,, ::oAlignment ) }

   ::oFlatbutton:selected := { | lCheck, uNIL, oSelf | oTabCtl:lFlatbutton := lCheck, ;
                               IF( lCheck, ::oStyle:Setdata( { 2 } ), NIL ) }
   ::oSeparators:selected := { | lCheck, uNIL, oSelf | oTabCtl:lSeparators := lCheck, ;
                               IF( lCheck, ::oFlatbutton:setdata( .T. ), NIL ) }

   ::oLabelleft:selected := { | lCheck, uNIL, oSelf | oTabCtl:lLabelleft := lCheck }
   ::oScrollLoop:selected := { | lCheck, uNIL, oSelf | oTabCtl:lScrollLoop := lCheck }

   ::oMulti :setData( oTabCtl:lMulti )
   ::oVertical :setData( oTabCtl:lVertical )
   ::oFlatbutton:setData( oTabCtl:lFlatbutton )
   ::oSeparators:setData( oTabCtl:lSeparators )
   ::oLabelleft :setData( oTabCtl:lLabelleft )
   ::oScrollLoop:setData( oTabCtl:lScrollLoop )

RETURN self

*+
*+
*+    Method PropDlg:GetMark()
*+
*+
*+
METHOD PropDlg:GetMark( oTabCtl )

   LOCAL nNo
   LOCAL xValue

   nNo := ::oStyle:getData() [1]
   IF( nNo = 1, oTabCtl:lFlatbutton := .F., NIL )
   IF( nNo = 1, ::oFlatbutton:setData( .F. ), NIL )
   oTabCtl:nStyle := nNo

   nNo := ::oAlignment:getData() [1]
   IF( nNo = 1, xValue := XBPALIGN_TOP, ;
       IF( nNo = 2, xValue := XBPALIGN_BOTTOM, ;
       IF( nNo = 3, xValue := XBPALIGN_LEFT, ;
       IF( nNo = 4, xValue := XBPALIGN_RIGHT, ;
       NIL ) ) ) )
   oTabCtl:nAlignment := xValue

   oTabCtl:nJustify := ::oJustify:getData() [1]

   oTabCtl:lMulti := ::oMulti :GetData()
   oTabCtl:lVertical := ::oVertical :GetData()
   oTabCtl:lFlatbutton := ::oFlatbutton:GetData()
   oTabCtl:lSeparators := ::oSeparators:GetData()
   oTabCtl:lLabelleft := ::oLabelleft :GetData()
   oTabCtl:lScrollLoop := ::oScrollLoop:GetData()

RETURN self

*+
*+
*+    Procedure PropertyResize()
*+
*+    Called from ( usetab.prg   )   1 - procedure dlgproperty()
*+
*+
*+
PROCEDURE PropertyResize( aOldSize, aNewSize, oSelf )

   LOCAL aChild1
   LOCAL i, iMax

   IF aOldSize[ 1 ] == 0 .AND. aOldSize[ 2 ] == 0           // Size = 0
      aOldSize := aNewSize                                  // old = new
   ELSEIF aNewSize[ 1 ] == 0 .OR. aNewSize[ 2 ] == 0        // Size = 0
      RETURN
      // add "same Size", nothing had happend
   ELSEIF aNewSize[ 1 ] = aOldSize[ 1 ] .AND. aNewSize[ 2 ] = aOldSize[ 2 ]
      RETURN
   ENDIF

   oSelf:lockUpdate( .T. )
*  oSelf:setSize({aNewSize[1],aNewSize[2]})

   aChild1 := oSelf:childList()
   iMax := LEN( aChild1 )
   FOR i := 1 TO iMax
      aChild1[ i ] :SetSize( { 426, 180 } )
      CenterControl( aChild1[ i ], oSelf )
   NEXT
   oSelf:lockUpdate( .F. )
   oSelf:invalidateRect()

RETURN

*
*
*

*+ EOF: USETAB.PRG